Bug 595799

Summary: Missing lang.css file when publishing to web to avoid 404s
Product: [Community] Publican Reporter: Paul W. Frields <stickster>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 1.6CC: jfearn, mmcallis, publican-list, r.landmann
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: publican-2.1-0.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-07 13:36:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Paul W. Frields 2010-05-25 12:10:23 EDT
Publican does not add a lang.css file for most locales.  However, this means that the Web server generates spurious 404s for every document.

Normally that might not be a big deal, but since we're redirecting 404s to the main docs.fp.o site for Fedora, it means that when the server can't find a CSS file, it reads the main index page, which is invalid CSS of course.  So both the server and the client get quite a bit slower, especially under real-world load.

We could either:
1. Put in a dummy lang.css for languages not really needing one
2. Eliminate the generation of an @import of the lang.css for those languages

Maybe there are other non-hacky ways to do this; that's all I could think of, off the top of my head.
Comment 1 Jeff Fearn 2010-05-25 23:43:20 EDT
Added dummy lang.css file to common/en-US/css.

Fixed in build 1.6.3-0.t79
Comment 2 Fedora Update System 2010-07-06 02:00:37 EDT
publican-2.0-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-2.0-0.fc13
Comment 3 Fedora Update System 2010-07-06 02:01:17 EDT
publican-2.0-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-2.0-0.fc12
Comment 4 Fedora Update System 2010-07-06 13:18:38 EDT
publican-2.0-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-2.0-0.fc12
Comment 5 Fedora Update System 2010-07-06 13:20:03 EDT
publican-2.0-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-2.0-0.fc13
Comment 6 Fedora Update System 2010-07-06 23:13:18 EDT
publican-2.1-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-2.1-0.fc13
Comment 7 Fedora Update System 2010-07-06 23:13:55 EDT
publican-2.1-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-2.1-0.fc12
Comment 8 Fedora Update System 2010-07-07 13:35:29 EDT
publican-2.1-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-07-07 13:40:03 EDT
publican-2.1-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.